Projects
Book a person on the project for one ISO week; 0 hours clears; reports over_allocated (L-R4-PROJ-07; scope: projects:write)
PUT
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
id*stringapplication/json- body
One person on one project for one ISO week (L-R4-PROJ-07).
user_id*stringFormat
uuidweek_start*stringAny date in the week; normalised to its Monday
Format
dateallocated_hours*number0 clears the cell
Range
0 <= value <= 168role?stringnote?stringcurl -X PUT "https://example.com/projects/string/allocations" \ -H "Content-Type: application/json" \ -d '{ "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "week_start": "2019-08-24", "allocated_hours": 0 }'Empty